﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Reflection;

namespace MinifyAndConsolidate
{
    public partial class Site : System.Web.UI.MasterPage
    {
        public string Version
        {
            get
            {
                return string.Format("{0}", Assembly.GetExecutingAssembly().GetName().Version.ToString());
            }
        }

        public string CssFileUrl
        {
            get
            {
                return "href=\"/client/combined." + Version + ".min.css\"";
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
#if DEBUG
            PlaceHolderDebug.Visible = true;
#else
            PlaceHolderRelease.Visible = true;
#endif
        }
    }
}